Commit 4e0cdb5e authored by Antoine Beaupré's avatar Antoine Beaupré

add explicit lzma dependency, skip in rtd as it may blow up

parent d3d99193
......@@ -46,7 +46,7 @@ html_theme = 'default'
# ignore apt module imports so docs build without it
# see also https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845330
autodoc_mock_imports = ['apt', 'apt.debfile' ]
autodoc_mock_imports = ['apt', 'apt.debfile', 'lzma' ]
# on_rtd is whether we are on readthedocs.org, this line of code
# grabbed from docs.readthedocs.org
......
......@@ -71,6 +71,7 @@ setup(name="debmans",
"python-debian",
"humanize",
"jinja2",
"lzma",
"markdown",
],
extras_require={
......@@ -80,7 +81,9 @@ setup(name="debmans",
"pyflakes",
],
"debian": [
"python-apt", # upstream refuses to update PyPI: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845330
# upstream refuses to update PyPI:
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845330
"python-apt",
],
},
tests_require=['pytest'],
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment